Description

I really appreciate it that the issue #1406 has implemented.

However, I found the following bug.

When we access the page of file changing view by such URL,

 http:/example.com/projects/example/repository/revisions/master/changes/src/test.c

we use dropbox to view another branch by such wrong URL like

 http://example.com/projects/example/repository/changes/src%2Ftest.c?rev=experimental

It is because that true address is the following.

 http://example.com/projects/example/repository/revisions/experimental/changes/src/test.c

 My environment is

$ ruby script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.1

Rails version             2.2.2

Active Record version     2.2.2

Action Pack version       2.2.2

Active Resource version   2.2.2

Action Mailer version     2.2.2

Active Support version    2.2.2

Application root          /home/server/redmine

Environment               development

Database adapter          mysql

Database schema version   20090614091200

 Warmest Regards.

History

#1 - 2009-08-28 19:17 - Adam Soltys

Thanks for reporting this, I will try to reproduce the problem and provide a fix sometime in the next few days.

#2 - 2009-08-28 22:25 - Adam Soltys

A possibly relevant discussion from #redmine on irc.freenode.net:

<jg> rchady: any clue why I'd get a message like: "The entry or revision was not found in the repository." while browsing a repostory?

<rchady> it isn't able to browse the repo

<rchady> So, either wrong userid/passwd

<rchady> or unable to contact it
<rchady> if your repo is being accessed by HTTPS, make sure the certificate is accepted the first time

<jg> rchady: ok, here's the issue: I followed the directions in: http://www.redmine.org/wiki/redmine/RedmineRepositories where it says I need to

create a bare repository.  I did that.  Then I could see revisions, but when browsing into them, was got that message.  Now that I've also created the

non-bare repository, things seem to work....

<jg> so the directions are somehow incorrect, it seems....

<adam[pac]> jg: I always use bare repositories.  Can you paste the error you get when you use a bare repo?

<jg> adam[pac]:  "The entry or revision was not found in the repository."

<jg> when going to view the diff or the files themselves....

<adam[pac]> jg: Can you paste an example URL that you're at when you get the error?

<jg> adam[pac]: http://redmine.gettysfamily.org/repositories/entry/test/os/utils.c?rev=2a806d7fa372e28d039761c9b4087cf812e8e46b

#3 - 2009-08-29 02:43 - hayashibe yuta

Though I usually use HTTPS access, It's no problem that I browse the repository.

I tried accessing by HTTP, but this issue happened.

#4 - 2013-02-06 09:33 - Daniel Felix

- Subject changed from Dropbox does not work when use it viewing fiel changes (Git) to Dropbox does not work when use it viewing file changes (Git)

- Status changed from New to Needs feedback

Any news on this issue? Can someone confirm this defect anymore?

#5 - 2013-02-09 08:42 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

SCM routing is replaced in porting to Rails3.

So, this issue is obsolete.
